Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Class EntityFetchReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn
          org.hibernate.loader.custom.FetchReturn
              org.hibernate.loader.custom.EntityFetchReturn

All Implemented Interfaces:
  Return

    public class EntityFetchReturn

extends FetchReturn

Spefically a fetch return that refers to an entity association.

Constructor Summary
`EntityFetchReturn(String alias, EntityAliases entityAliases, NonScalarReturn owner, String ownerProperty, LockMode lockMode)`

Method Summary
`EntityAliases` | `getEntityAliases()`

Methods inherited from class org.hibernate.loader.custom.FetchReturn
`getOwner, getOwnerProperty`

Methods inherited from class org.hibernate.loader.custom.NonScalarReturn
`getAlias, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityFetchReturn

    public EntityFetchReturn(String alias,
                             EntityAliases entityAliases,
                             NonScalarReturn owner,
                             String ownerProperty,
                             LockMode lockMode)

Method Detail

### getEntityAliases

    public EntityAliases getEntityAliases()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.